using System;

namespace isplata
{
    class Program
    {
        static void Main(string[] args)
        {
            int novcanica = 0;
             long v = long.Parse(Console.ReadLine());

            while (v > 0)
            {
                int d = (int)(v % 10);
                if (d > 5)
                {
                    novcanica++; // moze biti samo jedna novcanica od 5*10^k
                    d -= 5;
                }
                novcanica += d / 2; // dodajemo broj novcanica od 2*10^k
                novcanica += d % 2; // dodajemo novcanicu od 1*10^k, ako je ima

                v = v / 10; // u sledecoj iteraciji uzimamo apoene 10 vece
            }
            Console.WriteLine("{0}", novcanica);
            //Console.ReadLine();
        }
    }
}